What IOS do I need for SSH and VPN

Unanswered Question
Sep 7th, 2007


I am not a Cisco expert but can muddle my way thru configurations. I have inherited my position from someone else who setup our VPN infrastructure long ago. Problem is that we have added a new location and I have been asked to add it to our VPN. I found a spare 2610 in the equipment closet with IOS Version 12.2(24) which is a higher version than some of the other working VPN routers in the field. I am basically using the other VPN router configs as a template but when I issue the command "crypto", it does not recognize it. Nor does it recognize the command "ip ssh". So the questions are, do I have to get an updated IOS? If this IOS is ok, do I need an add-on VPN pack? If yes to either one, how do I get it? - Thanks.


I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
a.alekseev Sun, 09/09/2007 - 13:25

every IOS with IPSec support have in it's name something like "k9"

for example




grendelos Mon, 09/10/2007 - 06:28

So if I do a "show ver" on the router I am having trouble with, I see:

IOS (tm) C2600 Software (C2600-IO3-M), Version 12.2(24), RELEASE SOFTWARE (fc1)

On one of the working VPN routers I see:

IOS (tm) C2600 Software (C2600-IK9O3S3-M), Version 12.2(15)T14, RELEASE SOFTWARE (fc4)

So I see the K9 in the IOS version of the working router. Thanks for that part of the puzzle.

Now my question is, how do I get that IOS?


scarpacci21 Tue, 09/11/2007 - 08:33

Quickest way would be to copy the IOS image from the one router to the other, i.e using TFTP.


grendelos Tue, 09/11/2007 - 14:44

Thanks for that. Can you do this even if the router models are different?


cigar3tte Thu, 09/13/2007 - 14:05

This is something I will need to do also, so going to shoot the question here instead of making a new topic:

After you do a "format flash:", the device will stay functional still to allow you to copy the new flash?

Also, why format instead of delete?

Will the "upgrade" command need to be used? mine does not seem to accept "upgrade" even though it comes up on "show ?".


This Discussion